package com.loafle.overflow.module.meta.service;

import com.loafle.overflow.module.meta.model.MetaCrawler;
import com.loafle.overflow.module.meta.model.MetaInfraVendor;
import com.loafle.overflow.module.meta.model.MetaVendorCrawler;
import com.loafle.overflow.spring.AppConfig;
import com.loafle.overflow.spring.JdbcConfiguration;
import com.loafle.overflow.spring.MailConfiguration;
import org.junit.Assert;
import org.junit.Ignore;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.test.context.ContextConfiguration;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;

import java.util.List;

/**
 * Created by snoop on 17. 7. 27.
 */
@RunWith(SpringJUnit4ClassRunner.class)
@ContextConfiguration(classes = {AppConfig.class, JdbcConfiguration.class, MailConfiguration.class})
public class MetaVendorCrawlerServiceTest {

    @Autowired
    private MetaVendorCrawlerService service;

    @Test
    public void readAllByInfraVendor() throws Exception {
        MetaInfraVendor metaInfraVendor = new MetaInfraVendor();

        metaInfraVendor.setId(26);

        List<MetaVendorCrawler> metaVendorCrawlers = this.service.readAllByInfraVendor(metaInfraVendor);

        Assert.assertNotEquals(metaVendorCrawlers.size(), 0);


    }

    @Ignore
    @Test
    public void regist() throws Exception {
        MetaVendorCrawler metaVendorCrawler = new MetaVendorCrawler();

        MetaCrawler metaCrawler = new MetaCrawler();
        metaCrawler.setId((short)23);

        MetaInfraVendor metaInfraVendor = new MetaInfraVendor();
        metaInfraVendor.setId(42);

        metaVendorCrawler.setCrawler(metaCrawler);
        metaVendorCrawler.setInfraVendor(metaInfraVendor);

        metaVendorCrawler.setId(1);
        this.service.regist(metaVendorCrawler);

        Assert.assertNotEquals(metaVendorCrawler.getId(), 0);
    }

}